<?php date_default_timezone_set('Asia/Dhaka');
 function facebook_time_ago($timestamp) {  
      $time_ago = strtotime($timestamp);  
      $current_time = time();  
      $time_difference = $current_time - $time_ago;   
      $seconds = $time_difference;  
      $minutes = round($seconds / 60 );           // value 60 is seconds  
      $hours = round($seconds / 3600);           //value 3600 is 60 minutes * 60 sec  
      $days = round($seconds / 86400);          //86400 = 24 * 60 * 60;  
      $weeks = round($seconds / 604800);       // 7*24*60*60;  
      $months = round($seconds / 2629440);    //((365+365+365+365+366)/5/12)*24*60*60  
      $years = round($seconds / 31553280);   //(365+365+365+365+366)/5 * 24 * 60 * 60  
      
	  if($seconds <= 60)  return "Just Now";  
 
      else if($minutes <=60) {  
		if($minutes==1)  return "A Min Ago";  
        else return "$minutes M Ago";  
		}  
     
      else if($hours <=24) {  
		if($hours==1) return "1 H Ago";  
        else return "$hours Hrs Ago";    
		} 
		
      else if($days <= 7) {
		$s_t=date("h:i A", strtotime($timestamp));
		if($days==1) return "Yesterday";  
		else return "$days D Ago";    
		}
		
      else if($weeks <= 4.3) {  
		$s_t=date("h:i A", strtotime($timestamp));
		if($weeks==1) return "Last Week";  
		else return "$weeks W Ago";    
		} 
		
       else if($months <12)  {  
		$s_t=date("h:i A", strtotime($timestamp));
		if($months==1) return "A Month Ago";  
        else return "$months M ago";    
		} 
		
		
		else  { 
			$s_d=date("M", strtotime($timestamp))." ".date("d", strtotime($timestamp)).", ".date("Y", strtotime($timestamp));
			$s_t=date("h:i A", strtotime($timestamp));
			return "$s_d at $s_t";    
		} 
 }

?>

<!DOCTYPE html>
<html lang="zxx">
	<head>
		<meta charset="utf-8">
		<title>Website</title>
		<!-- mobile responsive meta -->
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!-- Bootstrap 5.3 -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
		<!-- Font Awesome 6.4 -->
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
		<!-- Line Awesome 1.3 -->
		<link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">
		<!-- Material Symbols -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined&family=Material+Symbols+Rounded&family=Material+Symbols+Sharp" />
		<!-- Bootstrap Icons 1.11 -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">		
	</head>

	<body class="bg-light"> 
	
		<div class="container py-5">
			<div class="row py-5">
			  <div class="col-md-6 offset-md-3">
				<div class="card">
				  <div class="card-body p-4">
				  
					<div class="row">
						<div class="col-3 col-md-4 col-lg-2">
							<img style="" class="w-100 rounded-circle p-1" src="https://codeartbd.com/images/blog/bigstock-188675680.jpg">
						</div>
						<div class="col-9 col-md-8 col-lg-10">
							<h5 class="card-title pt-2 mb-0"><b>Engr. Tanvir</b> <span class="material-symbols-outlined text-primary">check_circle</span> <a href="#" class="float-end"><i class="bi bi-gear text-muted"></i></a></h5>
							<p class="text-muted"><i class="la la-clock"></i> <?php echo facebook_time_ago('2023-09-01 02:30:55'); ?> ·  <i class="la la-globe la-spin"></i> Public</p>
						</div>
					</div>
					
					<p class="card-text py-3">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.😂 🤣</p>
					
					<div class="row border-top pt-3 text-center">
						<div class="col-4">
							<p class="text-muted"><i class="fa fa-thumbs-up"></i> <b>3</b> Like</p>
						</div>
						<div class="col-4">
							<p class="text-muted"><i class="fa fa-comments"></i> <b>3</b> Comment</p>
						</div>
						<div class="col-4">
							<p class="text-muted"><i class="fa fa-share-alt"></i> <b>3</b> Share</p>
						</div>
					</div>
					
				  </div>
				</div>
			  </div>
			</div>
		</div>
	

		<!-- Bootstrap 5.3 -->
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm" crossorigin="anonymous"></script>
	</body>
</html>